Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.action
Class ActionQueueListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  SchemaCreator.MyListener, SchemaUpgrade

    public interface class ActionQueueListener

extends java.util.EventListener

The interface that allows clients to observe events on an ActionQueue. The class that is interested in processing these events should implement this interface and register with an ActionQueue using the ActionQueue's addActionQueueListener method.

Modified:
  lsaenz 06/25/2000 Updated comments., lsaenz 02/16/2000 Changed name to ActionQueueListener., lsaenz 02/11/2000 Now extends EventListener., lsaenz 02/06/2000 Added actionStarting and actionFinished methods., lsaenz 12/21/1999 Created.

Method Summary
`void` | `actionFinished(Action action)` Invoked when an Action has finished successfully.
`void` | `actionQueueFailed(java.lang.Throwable error)` Invoked if the ActionQueue has failed.
`void` | `actionQueueFinished()` Invoked when the ActionQueue has finished.
`void` | `actionStarting(Action action)` Invoked when an Action is about to be performed.

Method Detail

### actionQueueFinished

    void actionQueueFinished()

  Description copied from interface: `ActionQueueListener`
  Invoked when the ActionQueue has finished. An ActionQueue has finished when all of its Action instances have finished. An Action is considered finished when its `perform` method has returned successfully.

### actionQueueFailed

    void actionQueueFailed(java.lang.Throwable error)

  Description copied from interface: `ActionQueueListener`
  Invoked if the ActionQueue has failed. An ActionQueue has failed if any one of its Actions has failed. An ActionQueue can be considered fail-fast; that is, it will fail and stop executing Actions immediately upon a single Action having failed.

  Parameters:
    `error` - the error that occurred (usually an ActionFailedException).

### actionStarting

    void actionStarting(Action action)

  Description copied from interface: `ActionQueueListener`
  Invoked when an Action is about to be performed.

  Parameters:
    `action` - the Action that will be performed.

### actionFinished

    void actionFinished(Action action)

  Description copied from interface: `ActionQueueListener`
  Invoked when an Action has finished successfully.

  Parameters:
    `action` - the Action that has finished.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD